Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class RevokedInfoCardDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.RevokedInfoCardDO

    public class RevokedInfoCardDO

extends AbstractDataObject

Constructor Summary
`RevokedInfoCardDO()`

Method Summary
`java.lang.String` | `getCardId()`
`java.util.Date` | `getDateExpires()`
`java.util.Date` | `getDateIssued()`
`java.util.Date` | `getDateRevoked()`
`java.lang.String` | `getUserId()`
`void` | `setCardId(java.lang.String cardId)`
`void` | `setDateExpires(java.util.Date dateExpires)`
`void` | `setDateIssued(java.util.Date dateIssued)`
`void` | `setDateRevoked(java.util.Date dateRevoked)`
`void` | `setUserId(java.lang.String userId)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokedInfoCardDO

    public RevokedInfoCardDO()

Method Detail

### getCardId

    public java.lang.String getCardId()

### setCardId

    public void setCardId(java.lang.String cardId)

### getUserId

    public java.lang.String getUserId()

### setUserId

    public void setUserId(java.lang.String userId)

### getDateIssued

    public java.util.Date getDateIssued()

### setDateIssued

    public void setDateIssued(java.util.Date dateIssued)

### getDateExpires

    public java.util.Date getDateExpires()

### setDateExpires

    public void setDateExpires(java.util.Date dateExpires)

### getDateRevoked

    public java.util.Date getDateRevoked()

### setDateRevoked

    public void setDateRevoked(java.util.Date dateRevoked)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD